summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorfuzzyray <fuzzyray@gentoo.org>2006-02-09 15:05:56 +0000
committerfuzzyray <fuzzyray@gentoo.org>2006-02-09 15:05:56 +0000
commitef6c76d25b199deb61fc88b5b7ecbd800b6dedd5 (patch)
treee288e6b16ce65511459f24b00ff8401f5f67721a
parent4588220e92b26cebd3f316e1364abcb8b3364698 (diff)
downloadgentoolkit-ef6c76d25b199deb61fc88b5b7ecbd800b6dedd5.tar.gz
Unset EMERGE_DEFAULT_OPTS for internal emerge calls
svn path=/; revision=277
-rwxr-xr-xtrunk/src/revdep-rebuild/revdep-rebuild7
1 files changed, 3 insertions, 4 deletions
diff --git a/trunk/src/revdep-rebuild/revdep-rebuild b/trunk/src/revdep-rebuild/revdep-rebuild
index 2f35e3d..657e7ba 100755
--- a/trunk/src/revdep-rebuild/revdep-rebuild
+++ b/trunk/src/revdep-rebuild/revdep-rebuild
@@ -1,5 +1,4 @@
-#! /bin/bash
-
+#! /bin/bash
# Copyright 1999-2005 Gentoo Foundation
# $Header$
@@ -565,7 +564,7 @@ if [ -f $LLIST.5_order ] ; then
else
RAW_REBUILD_LIST="$(cat $LLIST.4_ebuilds | sed s/^/=/ | tr '\n' ' ')"
if [ ! -z "$RAW_REBUILD_LIST" ] ; then
- REBUILD_GREP="^\\($( (emerge --nospinner --pretend --oneshot --nodeps --quiet $RAW_REBUILD_LIST ; echo $? >$LLIST.5_status ) | sed -n 's/\./\\&/g;s/ //g;s/$/\\/;s/\[[^]]*\]//gp' | tr '\n' '|' | sed 's/|$//'))\$"
+ REBUILD_GREP="^\\($( (EMERGE_DEFAULT_OPTS="" emerge --nospinner --pretend --oneshot --nodeps --quiet $RAW_REBUILD_LIST ; echo $? >$LLIST.5_status ) | sed -n 's/\./\\&/g;s/ //g;s/$/\\/;s/\[[^]]*\]//gp' | tr '\n' '|' | sed 's/|$//'))\$"
if [ $(cat $LLIST.5_status) -gt 0 ] ; then
echo ""
echo -e "${RD}Warning: Failed to resolve package order."
@@ -580,7 +579,7 @@ else
done
ln -f $LLIST.4_ebuilds $LLIST.5_order
else
- emerge --nospinner --pretend --oneshot --emptytree --quiet $RAW_REBUILD_LIST | sed -n 's/ //g;s/^.*\]//p' | grep "$REBUILD_GREP" >$LLIST.5_order
+ EMERGE_DEFAULT_OPTS="" emerge --nospinner --pretend --oneshot --emptytree --quiet $RAW_REBUILD_LIST | sed -n 's/ //g;s/^.*\]//p' | grep "$REBUILD_GREP" >$LLIST.5_order
fi
else
echo -n "" >$LLIST.5_order